import pyb
 
bouton_vert = pyb.Pin("X1")
bouton_rouge = pyb.Pin("X2")
led = pyb.Pin("X3")
 
bouton_vert.init(pyb.Pin.IN, pyb.Pin.PULL_UP)
bouton_rouge.init(pyb.Pin.IN, pyb.Pin.PULL_UP)
led.init(pyb.Pin.OUT_PP)

clock=pyb.Timer(4)

start = pyb.millis()

def func(num):
    if led.value()==1:
        led.low()
    else:
        led.high()
    

def interruption_vert(line):
    global start
    led.high()
    clock.deinit()
    diff = pyb.elapsed_millis(start)
    if diff > 50 and diff < 600 :
        clock.init(freq=2)
        clock.callback(func)
    start = pyb.millis()
    

    
    
def interruption_rouge(line):
    led.low()
    clock.deinit()
    

irq_vert = pyb.ExtInt(bouton_vert, pyb.ExtInt.IRQ_FALLING,
                      pyb.Pin.PULL_UP, interruption_vert)
irq_rouge = pyb.ExtInt(bouton_rouge, pyb.ExtInt.IRQ_FALLING,
                      pyb.Pin.PULL_UP, interruption_rouge)

